import React, { Component } from 'react';
import { connect} from 'react-redux';
import * as actions from "../actions/addNewStaffAction";

import { bindActionCreators } from "redux";

import FormAddNewStaff from '../components/FormAddNewStaff'

import EditModal from "../components/Modal";

class AddNewStaff extends Component {
    
  	closeEditModal = () => {
      	const { closeModal } = this.props;
        	closeModal();
  	}
    render() {
        const { showModal, error } = this.props
        return (
			<div className="top">
            	<div>          
              		<FormAddNewStaff {...this.props}/>
            	</div>
				<EditModal visible={showModal}
					onOk={this.closeEditModal} 
					onCancel={this.closeEditModal} 
					error={error} />     
          	</div>   
           
        );
    }
}


const mapStateToProps = state => ({
  staffData: state.addStaff.staffData,
  isFetching: state.addStaff.isFetching,
  showModal : state.addStaff.showModal,
  error: state.addStaff.error
});

const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);

export default AddNewStaff = connect(
      mapStateToProps,
      mapDispatchToProps
)(AddNewStaff);